Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2016 18:05:36 +0200

> From: Alain Schneble <[email-masked]>
> CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Tue, 1 Mar 2016 16:36:03 +0100
> 
> There is one strange thing I'm observing though.  If I constantly hover
> over the Window with the mouse, also then, not all images get downloaded
> most of the time.  The reason then is, as mentioned in a previous post,
> some of the gnutls_try_handshake calls return -10
> GNUTLS_E_INVALID_SESSION.  So there must still be another issue, because
> with the mouse hovering, it seems to me that it enters the loop enough
> frequently to do TRT.

I have no doubt there are w32 aspects to this problem.  But I see no
reason to try debugging that as long as this machinery doesn't work
well on Posix hosts, because we will bump into issues that have
nothing to do with how w32 emulates Posix functionality.  Especially
if we are now seriously discussing radical changes in the design (like
running the handshake from a timer or such likes), which, if
implemented will change the code significantly, and will no doubt
affect what the w32 port needs (or doesn't meed) to do to support
that.

IOW, let's return to the w32-specific issues when the dust settles on
the Posix code.